Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.ui
Class ImgButton

    java.lang.Object
      com.tonbeller.wcf.ui.XoplonCtrl
          com.tonbeller.wcf.ui.ImgButton

public class ImgButton
extends XoplonCtrl

Button ctrl class, used as factory for generating buttons

Field Summary
`static java.lang.String` | `NODENAME`

Constructor Summary
`ImgButton()`

Method Summary
`static org.w3c.dom.Element` | `addButton(org.w3c.dom.Element parent, java.lang.String id, java.lang.String src)`
`static org.w3c.dom.Element` | `createImgButton(org.w3c.dom.Document doc, java.lang.String id, java.lang.String src)`
`static boolean` | `isImgButton(org.w3c.dom.Element elem)`

Methods inherited from class com.tonbeller.wcf.ui.XoplonCtrl
`createCtrl, getId, getLabel, getModelReference, isDisabled, isHidden, setDisabled, setHidden, setId, setLabel, setModelReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NODENAME

    public static final java.lang.String NODENAME

See Also:
  Constant Field Values

Constructor Detail

### ImgButton

    public ImgButton()

Method Detail

### isImgButton

    public static boolean isImgButton(org.w3c.dom.Element elem)

### createImgButton

    public static org.w3c.dom.Element createImgButton(org.w3c.dom.Document doc,
                                                      java.lang.String id,
                                                      java.lang.String src)

### addButton

    public static org.w3c.dom.Element addButton(org.w3c.dom.Element parent,
                                                java.lang.String id,
                                                java.lang.String src)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD